środa, 11 maja 2016

Otter-Browser #123

Ukazało się właśnie nowe wydanie tygodniowe. Bez zbędnych komentarzy PKGBUILD. Przypominam, że po zmianach wprowadzonych w pacman 5.0.1, plik *.install nie jest już wymagany.
# Maintainer: boenki <boenki at gmx dot de>
# Maintainer: pavbaranov
# Contributor: sir_lucjan

pkgname=otter-browser-weekly
_pkgname=otter-browser
_pkgver=0.9.11
_weekver=123
pkgver=${_pkgver}.dev${_weekver}
_devver=${_pkgver}-dev${_weekver}
pkgrel=1
pkgdesc="Web browser controlled by user, not vice-versa"
arch=('i686' 'x86_64')
url="http://$_pkgname.org"
license=('GPL3')
depends=('qt5-multimedia' 'hicolor-icon-theme' 'qt5-webengine')
makedepends=('cmake' 'qt5-tools')
optdepends=('gstreamer0.10-ugly-plugins' 'hunspell' 'qtwebkit')
conflicts=('otter-browser-git' 'otter-browser' 'otter-browser*' 'otter-browser-beta*' 'otter-browser-webengine-weekly' 'otter-browser-webkit-weekly')
source=("http://sourceforge.net/projects/otter-browser/files/otter-browser-weekly${_weekver}/otter-browser-${_pkgver}-dev${_weekver}.tar.bz2")
md5sums=('a70a333199035703b55908337b2095ce')

build() {
  cd ${_pkgname}-${_devver}
  lrelease resources/translations/*.ts
  cmake -DCMAKE_INSTALL_PREFIX="/usr" \
-DENABLE_QTWEBKIT=OFF
  make
}

package() {
  cd ${_pkgname}-${_devver}
  make DESTDIR=$pkgdir install
}